@use "../base/" as base;
@use "../abstracts/" as abstracts;

@use "../layout/" as layout;
@use "../components/logo" as logo;
@use "../components/input" as input;
@use "../components/button" as button;

@use "sass:map";

.main__header .header__heading {
  @include abstracts.typography(
    map.get(base.$sl-font-sizes, "big"),
    map.get(base.$sl-font-sizes, "big"),
    0px,
    map.get(abstracts.$sl-colors--text, "secondary")
  );
}

.main__header .header__paraghraph {
  @include abstracts.typography(
    map.get(base.$sl-font-sizes, "regular"),
    map.get(base.$sl-font-weights, "regular"),
    map.get(base.$sl-line-heights, "normal"),
    abstracts.$sl-color--neutral-dark-gray
  );

  letter-spacing: 0.1px;
}

.form__forgotPassword {
  text-align: center;

  .forgotPassword__link {
    @include abstracts.typography(
      map.get(base.$sl-font-sizes, "regular"),
      map.get(base.$sl-font-weights, "bold"),
      map.get(base.$sl-line-heights, "normal"),
      map.get(abstracts.$sl-colors--text, "primary")
    );

    text-decoration: none;
    letter-spacing: 0.3px;
  }
}

.signup {
  text-align: center;
  .signup__text {
    @include abstracts.typography(
      map.get(base.$sl-font-sizes, "regular"),
      map.get(base.$sl-font-weights, "regular"),
      map.get(base.$sl-line-heights, "normal"),
      map.get(abstracts.$sl-colors--text, "secondary")
    );
    letter-spacing: 0.1px;
  }

  .signup__link {
    @include abstracts.typography(
      map.get(base.$sl-font-sizes, "regular"),
      map.get(base.$sl-font-weights, "regular"),
      map.get(base.$sl-line-heights, "normal"),
      map.get(abstracts.$sl-colors--text, "primary")
    );
    letter-spacing: 0.1px;
    text-decoration: none;
  }
}

.banner__header {
  max-width: 70%;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
  .header__heading {
    @include abstracts.typography(
      32px,
      map.get(base.$sl-font-weights, "bold"),
      42px,
      map.get(abstracts.$sl-colors--text, "tertiary")
    );
  }

  .header__paraghraph {
    @include abstracts.typography(
      map.get(base.$sl-font-sizes, "small"),
      map.get(base.$sl-font-weights, "regular"),
      map.get(base.$sl-line-heights, "normal"),
      map.get(abstracts.$sl-colors--text, "tertiary")
    );
  }
}

.banner__navigation {
  .navigation__circle {
    display: inline-block;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background: #ffffff;
    opacity: 0.3;
  }
}
